Bug 338381 - [RHEL 5.2] Xen 3.1.1 Accomodate PAE guests that don't support extended-cr3 format
[RHEL 5.2] Xen 3.1.1 Accomodate PAE guests that don't support extended-cr3 fo...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Michal Novotny
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2007-10-18 12:57 EDT by Cole Robinson
Modified: 2014-02-02 17:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-10 11:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2007-10-18 12:57:33 EDT
The following cset from xen-3.1-testing.hg accomodates PAE guests that don't
support extended-cr3 format. Not entirely sure what the implications of this are
but it sounds like something that wouldn't hurt to add to RHEL 5.2

15043 - Ensure that the L3 page table page for a PAE guest which does not
support the extended-cr3 format is below the 4G boundary.
Comment 1 RHEL Product and Program Management 2007-10-18 13:04:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 2 RHEL Product and Program Management 2008-03-11 15:38:58 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 4 Michal Novotny 2009-03-10 10:45:29 EDT
Well, I have spent some time now looking for some kind of guests not supporting extended-cr3 format but no luck yet. Could anybody guide me so that I can test it after backporting from upstream? I can't test it right now because I lack information about guests not supporting extended-cr3 format and unfortunatelly googling it find nothing relevant for this issue. Anyway if somebody could replicate this and write me steps to replicate, including architecture (i386, x86_64, IA64) and some logs there it would help me much. Thanks.
Comment 5 Cole Robinson 2009-03-10 11:45:22 EDT
I would say that if you can't find any info about it online, and no one has explicitly reported a bug, and we've done fine thus far, we just close this as WONTFIX.

This was left over from us scouring all xen stable csets between 5.1 and 5.2. This patch sounded scary and important so it was nominated (without really any idea what it entails), but if there isn't any info to be found, it's likely not a huge deal.
Comment 6 Chris Lalancette 2009-03-10 11:50:25 EDT
     Agreed.  I think you would have to look at a NetBSD, FreeBSD, Solaris, or *very* old PV guest (older than any of our RHEL guests) to find something that would need this.  With that being the case, I would say WONTFIX; if a customer later on needs this functionality (highly unlikely), then we can open a new bug.

Chris Lalancette
Comment 7 Michal Novotny 2009-03-10 11:56:55 EDT
Ok, thank you both for advice, closing with WONTFIX reason...

Michal Novotny

Note You need to log in before you can comment on or make changes to this bug.